-module(sleepy_time).
-export([big_sleep/1]).

big_sleep(N) ->
    Sleep = fun() -> io:format("~p: sleeps~n", [node()]),
		     timer:sleep(infinity)
	    end,
    SleepList = lists:duplicate(N, Sleep),
    ParSleep = ebb_flow:pipe_pars([SleepList, ebb_flow:ignore(N)]),
    ebb_run:run_distributed(ParSleep).
